com.independentsoft.msg

## Enum LastVerbExecuted

- java.lang.Object
- - java.lang.Enum<LastVerbExecuted>
  - - com.independentsoft.msg.LastVerbExecuted

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LastVerbExecuted>

      public enum LastVerbExecuted
      extends java.lang.Enum<LastVerbExecuted>

  Represents last action on the message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD` The message has been forwarded.
    `NONE` None.
    `REPLY_TO_ALL` Reply has been sent to all.
    `REPLY_TO_SENDER` Reply has been sent to sender.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LastVerbExecuted` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LastVerbExecuted[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLY_TO_SENDER

          public static final LastVerbExecuted REPLY_TO_SENDER

      Reply has been sent to sender. Value is 102.

    - #### REPLY_TO_ALL

          public static final LastVerbExecuted REPLY_TO_ALL

      Reply has been sent to all. Value is 103.

    - #### FORWARD

          public static final LastVerbExecuted FORWARD

      The message has been forwarded. Value is 104.

    - #### NONE

          public static final LastVerbExecuted NONE

      None.

  - ### Method Detail

    - #### values

          public static LastVerbExecuted[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LastVerbExecuted c : LastVerbExecuted.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LastVerbExecuted valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null